function vector = randomize(m,n,r)

% Function to initialize a bipolar vector
% of size m-by-n 

vector = rand(m,n);

if nargin == 2
  ind1 = find(vector > .5);
  vector(ind1) = 1;
  ind2 = find(vector ~=1);
  vector(ind2) = -1;
end

if nargin == 3
  ind1 = find(vector > r);
  vector(ind1) = 1;
  ind2 = find(vector ~=1);
  vector(ind2) = -1;
end
